Bug 122471 - FILEOPEN XLSX, Pivot missing columns and rows in LO
Summary: FILEOPEN XLSX, Pivot missing columns and rows in LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2019-01-04 10:27 UTC by NISZ LibreOffice Team
Modified: 2022-03-02 17:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the original document side by side in Excel and Calc. (362.42 KB, image/png)
2019-01-04 10:27 UTC, NISZ LibreOffice Team
Details
The original document. (362.42 KB, image/png)
2019-01-04 10:27 UTC, NISZ LibreOffice Team
Details
This is the original spreadsheet. (149.01 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-01-08 07:42 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-01-04 10:27:10 UTC
Description:
When the attached file gets opened in LO there are some missing columns and lines. It is probably caused by the remote file that could not be loaded.

Steps to Reproduce:
    1. Open the attached file in LO and MSO
    2. Notice the differences.

Actual Results:
In LO the pivot has less columns and lines.

Expected Results:
It should keep the same amount of lines.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2019-01-04 10:27:31 UTC
Created attachment 148011 [details]
Screenshot of the original document side by side in Excel and Calc.
Comment 2 NISZ LibreOffice Team 2019-01-04 10:27:49 UTC Comment hidden (obsolete)
Comment 3 Julien Nabet 2019-01-04 17:56:59 UTC Comment hidden (obsolete)
Comment 4 raal 2019-01-05 13:29:39 UTC Comment hidden (obsolete)
Comment 5 NISZ LibreOffice Team 2019-01-08 07:42:41 UTC
Created attachment 148126 [details]
This is the original spreadsheet.
Comment 6 Aron Budea 2019-03-08 00:41:36 UTC
Confirmed with LO 6.3.0.0.alpha0+ (4f810905fa74128871f2fe924a3d28a79f4e4261), 6.0.0.3 / Windows 7.
However, it looks complete in 5.4.0.3.
=> regression
Comment 7 Aron Budea 2019-03-08 00:56:03 UTC
Bibisected to the following commit using repo bibisect-win32-6.3.
https://cgit.freedesktop.org/libreoffice/core/commit/?id=9fa34e9f2cebe2cfc551668f2a67ddcb799d3fb8
author		Tamás Zolnai <tamas.zolnai@collabora.com>	2017-10-05 15:13:46 +0200
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-10-05 17:55:18 +0200

tdf#112893: Pivot table: filtering of error item is not imported
Comment 8 QA Administrators 2021-03-08 04:02:04 UTC Comment hidden (obsolete)
Comment 9 NISZ LibreOffice Team 2021-03-11 16:06:08 UTC
Still a problem in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2fb274950e5207ca55f4f52325fb522bd44024e1
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 10 Justin L 2022-02-28 05:40:56 UTC
The key issue here is
-    maValue <<= static_cast< sal_Int32 >( rUnitConverter.calcBiffErrorCode( rAttribs.getXString( XML_v, OUString() ) ) );
+    maValue <<= rAttribs.getXString( XML_v, OUString() );

where maValue used to be '*' (aka 42), but now it is "#N/A"
Comment 11 Justin L 2022-02-28 15:23:06 UTC
proposed fix at http://gerrit.libreoffice.org/c/core/+/130714
Comment 12 Commit Notification 2022-02-28 18:18:59 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6961f6732954742415413fa53bdeebd1b03d9ec5

tdf#122471 xlsx import: pivottable error OUString, not uInt8

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-03-02 17:58:38 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/789fbf732ad6db002fd83b307385940c392cc457

tdf#122471 xlsx import: pivottable error OUString, not uInt8

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.